# Node.js

These configuration files are suitable to lint code which will run on Node.js.

## Configurations

### @strv/javascript/environments/nodejs/v6

Suitable for projects running on Node.js v6.

### @strv/javascript/environments/nodejs/v7

Suitable for projects running on Node.js v7.

### @strv/javascript/environments/nodejs/v8

Suitable for projects running on Node.js v8.

### @strv/javascript/environments/nodejs/v8-3

Suitable for projects running on Node.js v8.3.

> Node.js 8.3 upgraded the v8 engine to 6.0 which [brings some ECMAScript features](https://v8project.blogspot.cz/2017/06/v8-release-60.html) previously not available in Node.js . This ruleset enables those language features.

### @strv/javascript/environments/nodejs/v10

Suitable for projects running on Node.js v10.

### @strv/javascript/environments/nodejs/optional

Use this ruleset in conjunction with any of the above version-specific rulesets. Provides additional insights into potential inconsistencies in the project.

> For new projects, it is recommended to enable this ruleset. For existing projects, it is only recommended for the brave.
